AMC : subversion r1294

Après avoir installé toutes les dépendances avec Macports (pfff, il y en a une flopée, je savais que je n'aimais 
pas PERL et qu'il fallait pas que je mette les doigts dedans), l'envoi de courrier échoue avec une erreur 
"FAILED [xxx] no sender" alors qu'un expéditeur est bien défini dans les préférences de courrier. L'échec à 
lieu aussi bien avec l'option sendmail qu'avec l'option SMTP.

Je joins les journaux (mode debug) pour les deux tentatives.

Que puis-je faire pour tracer plus précisément l'endroit où se perd l'expéditeur ?

History
01/23/2013 07:00 pm - Alexis Bienvenüe
Pouvez-vous essayer de remplacer la ligne 239 de @AMC-mailing.pl@:

	sendmail($email,{'transport'=>$t,to=>\@all_dests});

par

        sendmail($email,{'transport'=>$t,from=>$sender,to=>\@all_dests});

Et voir si ça marche mieux ?

01/23/2013 09:04 pm - Joël Brogniart
Là ça marche un peu mieux. Les mails partent, mais il n'y a que l'entête du message (ou plutôt que l'enveloppe) et le message lui-même est absent 
(pas de sujet, parties MIME, rien du tout). Il y a quelque chose qui ne se passe pas bien dans la fonction sendmail. Je jette un œil dessus demain.

01/23/2013 09:11 pm - Alexis Bienvenüe
Le problème semble donc venir du message @$email@ (normalement, le @from=>$sender@ n'est pas nécessaire car @sendmail@ va chercher 
l'expéditeur dans les en-têtes du message).

01/24/2013 08:04 pm - Joël Brogniart
Le problème provenait d'un module Email::MIME trop ancien installé par macports (1.861 remplacé par 1.911). Après avoir passé pas mal de temps à 
faire des tests (comme je ne connais pas grand chose en PERL, ça prend un peu de temps) et installé la dernière version du module (qui comme par 
hasard dépendait d'une version plus récente du module Email::Simple que celle installé)… Désinstallation complète puis réinstallation complète pour 
être sûr… L'envoi de mail marche enfin. La modification de la ligne 239 de AMC-mailing.pl n'est pas nécessaire une fois les modules à jour.

01/24/2013 09:18 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Closed

Bravo et merci pour le compte-rendu !
Files
auto-multiple-choice-sendmail.log 14.1 kB 01/23/2013 Joël Brogniart
auto-multiple-choice-smtp.log 27.9 kB 01/23/2013 Joël Brogniart
